CC=g++
CFLAGS=-c -O3 -Wall
LDFLAGS=-O3 -Wall
SOURCES=main.cpp \
	qbf.cpp qbf_literal.cpp qbf_logical.cpp qbf_quantified.cpp \
	literal.cpp variable.cpp \
	qbf_parser.cpp qbf_lexer.cpp
OBJECTS=$(SOURCES:.cpp=.o)
EXECUTABLE=solver

all: $(SOURCES) $(EXECUTABLE)
	
$(EXECUTABLE): $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) -o $@

.cpp.o:
	$(CC) $(CFLAGS) $< -o $@

clean:
	rm -rf *.o $(EXECUTABLE)
	rm *~
